- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Name QML Type

The Name element contains a name of a contact. More...

Import Statement: | import QtContacts 5.0

- List of all members, including inherited members

## Properties

- firstName : string
- lastName : string
- middleName : string
- prefix : string
- suffix : string

## Detailed Description

Name element contains the following field types:

- Name.Prefix
- Name.FirstName
- Name.MiddleName
- Name.LastName
- Name.Suffix

This element is part of the QtContacts module.

## Property Documentation

firstName : string

This property holds the first name part of the name.

lastName : string

This property holds the last name part of the name.

middleName : string

This property holds the middle name part of the name.

prefix : string

This property holds the prefix name part of the name.

suffix : string

This property holds the suffix part of the name.